Debian Bug report logs - #512757
cron disable crontab of NIS users on boot

version graph

Package: cron; Maintainer for cron is Javier Fernández-Sanguino Peña <jfs@debian.org>; Source for cron is src:cron.

Reported by: Thierry EXCOFFIER <exco@bat710.univ-lyon1.fr>

Date: Fri, 23 Jan 2009 12:24:01 UTC

Severity: important

Tags: confirmed

Found in versions cron/3.0pl1-105, cron/3.0pl1-106

Done: Christian Kastner <debian@kvr.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#512757; Package cron. (Fri, 23 Jan 2009 12:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thierry EXCOFFIER <exco@bat710.univ-lyon1.fr>:
New Bug report received and forwarded. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. (Fri, 23 Jan 2009 12:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thierry EXCOFFIER <exco@bat710.univ-lyon1.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cron disable crontab of NIS users on boot
Date: Fri, 23 Jan 2009 13:22:32 +0100
Package: cron
Version: 3.0pl1-105
Severity: important

If the crontab is created by a NIS user it runs until the OS is stopped.
On reboot, cron displays in syslog :

Jan 23 13:09:54 myhost /usr/sbin/cron[3552]: (mylogin) ORPHAN (no passwd entry)

'cron' does not re-activate the 'crontab' once NIS is started
and the user login exists.


-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.21.3 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=french (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/bash

Versions of packages cron depends on:
ii  adduser                       3.110      add and remove users and groups
ii  debianutils                   2.30       Miscellaneous utilities specific t
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  libpam0g                      1.0.1-5    Pluggable Authentication Modules l
ii  libselinux1                   2.0.65-5   SELinux shared libraries
ii  lsb-base                      3.2-20     Linux Standard Base 3.2 init scrip

Versions of packages cron recommends:
ii  sendmail-bin [mail-transport- 8.14.3-5   powerful, efficient, and scalable 

Versions of packages cron suggests:
pn  anacron                       <none>     (no description available)
pn  checksecurity                 <none>     (no description available)
ii  lockfile-progs                0.1.11-0.1 Programs for locking and unlocking
ii  logrotate                     3.7.1-5    Log rotation utility

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#512757; Package cron. (Tue, 24 Nov 2009 10:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to <Andrew.Chittenden@bluearc.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. (Tue, 24 Nov 2009 10:48:07 GMT) Full text and rfc822 format available.

Message #10 received at 512757@bugs.debian.org (full text, mbox):

From: Andrew Chittenden <achittenden@bluearc.com>
To: Debian Bug Tracking System <512757@bugs.debian.org>
Subject: cron disable crontab of NIS users on boot
Date: Tue, 24 Nov 2009 10:33:05 +0000
Package: cron
Version: 3.0pl1-106
Severity: normal

I wonder whether this is related to the ordering of the init.d scripts:

# ls /etc/rc*d/S*{autofs,nis,cron}
/etc/rc2.d/S03anacron@  /etc/rc3.d/S16nis@      /etc/rc5.d/S03anacron@
/etc/rc2.d/S03cron@     /etc/rc3.d/S17autofs@   /etc/rc5.d/S03cron@
/etc/rc2.d/S16nis@      /etc/rc4.d/S03anacron@  /etc/rc5.d/S16nis@
/etc/rc2.d/S17autofs@   /etc/rc4.d/S03cron@     /etc/rc5.d/S17autofs@
/etc/rc3.d/S03anacron@  /etc/rc4.d/S16nis@
/etc/rc3.d/S03cron@     /etc/rc4.d/S17autofs@

IE cron starts before NIS and AUTOFS (I mention autofs as in our
environment, users' home directories are mounted using an NIS based
automount map (auto.home)).

It's probably correct that cron does start fairly early. However, I
wonder whether there should be a refresh phase for CRON after NIS and
AUTOFS have been started.


-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cron depends on:
ii  adduser                       3.111      add and remove users and groups
ii  debianutils                   3.2.2      Miscellaneous utilities specific t
ii  libc6                         2.10.2-1   GNU C Library: Shared libraries
ii  libpam0g                      1.1.0-4    Pluggable Authentication Modules l
ii  libselinux1                   2.0.89-4   SELinux runtime shared libraries
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip

Versions of packages cron recommends:
ii  exim4                         4.69-11    metapackage to ease Exim MTA (v4) 
ii  exim4-daemon-light [mail-tran 4.69-11+b1 lightweight Exim MTA (v4) daemon
ii  lockfile-progs                0.1.13     Programs for locking and unlocking

Versions of packages cron suggests:
ii  anacron                       2.3-14     cron-like program that doesn't go 
pn  checksecurity                 <none>     (no description available)
ii  logrotate                     3.7.8-4    Log rotation utility

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#512757; Package cron. (Wed, 25 Nov 2009 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Kaaden <michael@kaaden.net>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. (Wed, 25 Nov 2009 08:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 512757@bugs.debian.org (full text, mbox):

From: Michael Kaaden <michael@kaaden.net>
To: 512757@bugs.debian.org
Subject: cron disable crontab of NIS users on boot
Date: Wed, 25 Nov 2009 07:03:18 +0100
Hi,

AFAICS the only problem is the correct order for the start of NIS,
autofs, and cron. cron should start after NIS and autofs.

If I read the documentation correctly, it should be sufficient to change
/etc/init.d/cron from

# Required-Start:    $remote_fs $syslog $time
# Required-Stop:     $remote_fs $syslog $time

to

# Required-Start:    $remote_fs $syslog $time +autofs +ypbind
# Required-Stop:     $remote_fs $syslog $time +autofs +ypbind

You have to invoke "insserv /etc/init.d/cron" afterwards.

Cheers,
Michael
-- 
Michael Kaaden                                      michael@kaaden.net
                      http://www.kaaden.net/
  If Bill Gates had a dime for every time a Windows box crashed...
              .... Oh, wait a minute, he already does.




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#512757; Package cron. (Thu, 06 May 2010 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Thu, 06 May 2010 17:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 512757@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Michael Kaaden <michael@kaaden.net>
Cc: 512757@bugs.debian.org, control@bugs.debian.org
Subject: Re: cron disable crontab of NIS users on boot
Date: Thu, 06 May 2010 19:52:04 +0200
[Message part 1 (text/plain, inline)]
tag 512757 confirmed pending
thanks

On 01/-10/-28163 08:59 PM, Michael Kaaden wrote:
> AFAICS the only problem is the correct order for the start of NIS,
> autofs, and cron. cron should start after NIS and autofs.

Thanks for the hint, I committed a fix.


Christian


[signature.asc (application/pgp-signature, attachment)]

Added tag(s) confirmed and pending. Request was from Christian Kastner <debian@kvr.at> to control@bugs.debian.org. (Thu, 06 May 2010 17:54:11 GMT) Full text and rfc822 format available.

Reply sent to Christian Kastner <debian@kvr.at>:
You have taken responsibility. (Mon, 07 Jun 2010 20:15:09 GMT) Full text and rfc822 format available.

Notification sent to Thierry EXCOFFIER <exco@bat710.univ-lyon1.fr>:
Bug acknowledged by developer. (Mon, 07 Jun 2010 20:15:09 GMT) Full text and rfc822 format available.

Message #27 received at 512757-done@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: 512757-done@bugs.debian.org
Subject: Fixed by -111
Date: Mon, 07 Jun 2010 22:10:30 +0200
[Message part 1 (text/plain, inline)]
This was fixed by -111, closing.


[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Jul 2010 07:34:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:42:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.